## AnjutaPkgConfigChooser AnjutaPkgConfigChooser |

## Functions

GtkWidget * | anjuta_pkg_config_chooser_new ()
GList * | anjuta_pkg_config_chooser_get_active_packages ()
void | anjuta_pkg_config_chooser_set_active_packages ()
void | anjuta_pkg_config_chooser_show_active_only ()
void | anjuta_pkg_config_chooser_show_active_column ()
gchar * | anjuta_pkg_config_chooser_get_selected_package ()

## Signals

void | package-activated |
void | package-deactivated |

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── AnjutaPkgConfigChooser

## Description

## Functions

### anjuta_pkg_config_chooser_new ()

    GtkWidget *
    anjuta_pkg_config_chooser_new (void);

#### Returns

### anjuta_pkg_config_chooser_get_active_packages ()

    GList *
    anjuta_pkg_config_chooser_get_active_packages
                                   (AnjutaPkgConfigChooser *chooser);

#### Returns

### anjuta_pkg_config_chooser_set_active_packages ()

    void
    anjuta_pkg_config_chooser_set_active_packages
                                   (AnjutaPkgConfigChooser *chooser,
                                    GList *packages);

### anjuta_pkg_config_chooser_show_active_only ()

    void
    anjuta_pkg_config_chooser_show_active_only
                                   (AnjutaPkgConfigChooser *chooser,
                                    gboolean show_selected);

### anjuta_pkg_config_chooser_show_active_column ()

    void
    anjuta_pkg_config_chooser_show_active_column
                                   (AnjutaPkgConfigChooser *chooser,
                                    gboolean show_column);

### anjuta_pkg_config_chooser_get_selected_package ()

    gchar *
    anjuta_pkg_config_chooser_get_selected_package
                                   (AnjutaPkgConfigChooser *chooser);

#### Returns

## Types and Values

## Signal Details

### The `“package-activated”` signal

    void
    user_function (AnjutaPkgConfigChooser *widget,
                   gchar                  *package,
                   gpointer                user_data)

### The `“package-deactivated”` signal

    void
    user_function (AnjutaPkgConfigChooser *widget,
                   gchar                  *package,
                   gpointer                user_data)